(deftemplate mineral
	(slot name) 
	(slot crystal (type SYMBOL) (allowed-symbols cubic tetragonal hexagonal orthorhombic monoclinic triclinic irregular))
	(slot streak)
	(multislot colour)
	(multislot lustre (type SYMBOL) (allowed-symbols brilliant glassy metallic dull earthy silky greasy resinous))
	(slot hardness (type INTEGER) (range 1 10))
	)
(deftemplate query
	(slot crystal (type SYMBOL) (allowed-symbols nil cubic tetragonal hexagonal orthorhombic monoclinic triclinic irregular))
	(slot streak (default nil))
	(slot colour (default nil))
	(slot lustre (type SYMBOL) (allowed-symbols nil brilliant glassy metallic dull earthy silky greasy resinous))
	(slot hardness (type INTEGER) (range 0 10))
	)

(deffacts minerals
	(mineral (name chalcocite) (crystal irregular) (streak grey) (colour black) (lustre metallic) (hardness 3))
	(mineral (name cuprite) (crystal cubic) (streak brown) (colour red brown) (lustre dull) (hardness 4))
	(mineral (name chalcopyrite) (crystal tetragonal) (streak green) (colour gold brass) (lustre metallic) (hardness 4))
	(mineral (name galena) (crystal cubic) (streak grey) (colour silver grey) (lustre metallic) (hardness 3))
	(mineral (name cerussite) (crystal monoclinic) (streak white) (colour grey white) (lustre brilliant silky) (hardness 3))
	(mineral (name argentite) (crystal cubic) (streak silver) (colour silver grey black) (lustre metallic) (hardness 3))
	(mineral (name cinnibar) (crystal hexagonal) (streak black) (colour black red) (lustre glassy metallic) (hardness 3))
	(mineral (name magnetite) (crystal tetragonal) (streak black) (colour black) (lustre dull) (hardness 6))
	(mineral (name hematite) (crystal irregular) (streak red) (colour red silver black grey) (lustre metallic earthy dull) (hardness 4))
	(mineral (name cassiterite) (crystal monoclinic) (streak white) (colour brown black red grey yellow) (lustre brilliant glassy) (hardness 7))
	(mineral (name sphalerite) (crystal orthorhombic) (streak grey) (colour yellow brown black) (lustre resinous) (hardness 4))
	(mineral (name kyanite) (crystal monoclinic) (streak grey) (colour blue grey black) (lustre glassy) (hardness 7))
	(mineral (name chromite) (crystal tetragonal) (streak brown) (colour black brown) (lustre metallic) (hardness 6))
	(mineral (name uranite) (crystal orthorhombic) (streak grey) (colour black) (lustre metallic) (hardness 6))
	(mineral (name scheelite) (crystal irregular) (streak white) (colour white grey) (lustre glassy) (hardness 5))
	(mineral (name limenite) (crystal irregular) (streak red) (colour black) (lustre metallic) (hardness 6))
	(mineral (name quartz) (crystal hexagonal) (streak white) (colour white black yellow purple red) (lustre glassy) (hardness 5))
	(mineral (name apatite) (crystal hexagonal) (streak white) (colour white brown green yellow purple) (lustre glassy) (hardness 6))
	(mineral (name flourite) (crystal tetragonal) (streak white) (colour white green blue purple) (lustre glassy) (hardness 4))
)

